Additional fields

Retrieve additional fields

get

Extract information about additional fields you set up for your account.

Query parameters
EnabledbooleanOptionalExample: true
RequiredbooleanOptionalExample: true
ApplyTostringOptionalExample: Order
TypestringOptionalExample: [HIDDEN]
Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
Responses
200

Get information about additional fields

application/json
LabelstringOptionalExample: phone number
CodestringOptionalExample: A5FD
TypestringOptionalExample: TEXT
ApplyTostringOptionalExample: ORDER
Valuesstring[]OptionalExample: YES
ValidationRulestringOptionalExample: /test_rule/
get
/additionalfields
200

Get information about additional fields

Create new additional fields

post
Header parameters
X-Avangate-AuthenticationstringRequiredExample: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
AcceptstringRequiredExample: application/json
Body
ApplyTostringOptionalExample: ORDER
CodestringOptionalExample: NewsletterPolicy1234576
LabelstringOptionalExample: Do you agree with the new newsletter policy?
TypestringOptionalExample: LISTBOX
ValidationRulestringOptionalExample: /rule/
Valuesstring[]OptionalExample: YES
Responses
200

OK

No content

post
/additionalfields

No content

Get information about an additional field

get
Path parameters
FieldCodestringRequired

Field identifier. Alpha-numeric chars, underscores and dashes.

Example: NewsletterPolicy
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
LabelstringOptionalExample: phone number
CodestringOptionalExample: A5FD
TypestringOptionalExample: TEXT
ApplyTostringOptionalExample: ORDER
Valuesstring[]OptionalExample: YES
ValidationRulestringOptionalExample: /test_rule/
get
/additionalfields/{FieldCode}

Retrieve additional field texts and translations

get
Path parameters
FieldCodestringRequired

Field identifier. Alpha-numeric chars, underscores and dashes.

Example: NewsletterPolicy1234576
ISOcodestringRequired

ISO 639-1 two-letter code. Case sensitive.

Example: DE
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
LabelstringOptionalExample: Haben Sie mit dem Newsletter Politik zu?
Valuesstring[]OptionalExample: Ja
LanguagestringOptionalExample: DE
get
/additionalfields/{FieldCode}/translations/{ISOcode}

Last updated

Was this helpful?